Package weka.gui.treevisualizer

# Class PlaceNode1

java.lang.Object
weka.gui.treevisualizer.PlaceNode1

All Implemented Interfaces:
  `NodePlace`

public class PlaceNode1 extends Object implements NodePlace
This class will place the Nodes of a tree.

It will place these nodes so that they symetrically fill each row. This is simple to calculate but is not visually nice for most trees.

Version:
  $Revision: 1.4 $
Author:
  Malcolm F Ware (mfw4@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`PlaceNode1()`

## Method Summary

Modifier and Type
Method
Description
`void`
`place(Node r)`
Call this function to have each node in the tree starting at 'r' placed in a visual (not logical, they already are) tree position.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlaceNode1

public PlaceNode1()

## Method Details

### place

public void place(Node r)
Call this function to have each node in the tree starting at 'r' placed in a visual (not logical, they already are) tree position.

Specified by:
  `place` in interface `NodePlace`
Parameters:
  `r` - The top of the tree.